This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 833318 - Flashing screen, gpu seems to hang
Flashing screen, gpu seems to hang
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 04:38 EDT by Radoslav Husar
Modified: 2013-07-31 13:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:46:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg log (59.89 KB, text/plain)
2012-06-19 04:38 EDT, Radoslav Husar
no flags Details
dmesg (2.42 KB, text/plain)
2012-06-25 18:47 EDT, Rui Matos
no flags Details
i915_error_state (1.97 MB, text/plain)
2012-06-25 18:48 EDT, Rui Matos
no flags Details
graphics-hang-2013-06-11.tar.bz2 (349.17 KB, application/x-bzip2)
2013-06-11 11:26 EDT, John Brier
no flags Details

  None (edit)
Description Radoslav Husar 2012-06-19 04:38:06 EDT
Created attachment 592864 [details]
dmesg log

Description of problem:
Flashing screen, looks like GPU hung.

[50296.971968] WARNING: at drivers/gpu/drm/i915/i915_drv.c:398 gen6_gt_check_fifodbg.isra.3+0x40/0x50 [i915]()
[50296.971970] Hardware name: 4291EJ3
[50296.971972] MMIO read or write has been dropped 3
[50296.971973] Modules linked in: fuse lockd sunrpc bnep bluetooth ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi xts gf128mul dm_crypt snd_hda_codec_hdmi snd_hda_codec_conexant binfmt_misc uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media arc4 coretemp microcode vhost_net tun macvtap macvlan kvm_intel kvm iwlwifi snd_hda_intel mac80211 snd_hda_codec snd_hwdep i2c_i801 iTCO_wdt cfg80211 iTCO_vendor_support snd_pcm snd_page_alloc snd_timer uinput e1000e thinkpad_acpi snd soundcore rfkill crc32c_intel ghash_clmulni_intel sdhci_pci sdhci mmc_core wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
[50296.972021] Pid: 1793, comm: Xorg Tainted: G        W    3.4.2-4.fc17.x86_64 #1
[50296.972022] Call Trace:
[50296.972025]  [<ffffffff8105680f>] warn_slowpath_common+0x7f/0xc0
[50296.972028]  [<ffffffff81056906>] warn_slowpath_fmt+0x46/0x50
[50296.972032]  [<ffffffff812c8cba>] ? delay_tsc+0x4a/0x80
[50296.972039]  [<ffffffffa006b360>] gen6_gt_check_fifodbg.isra.3+0x40/0x50 [i915]
[50296.972047]  [<ffffffffa006b81e>] __gen6_gt_force_wake_put+0x1e/0x20 [i915]
[50296.972054]  [<ffffffffa006bc2a>] i915_read32+0xda/0x100 [i915]
[50296.972065]  [<ffffffffa00aa270>] intel_ring_get_active_head+0x30/0x40 [i915]
[50296.972075]  [<ffffffffa00aa2c5>] gen6_ring_get_seqno+0x45/0x50 [i915]
[50296.972083]  [<ffffffffa007c859>] i915_gem_retire_requests_ring+0x39/0x200 [i915]
[50296.972092]  [<ffffffffa0080443>] i915_gem_busy_ioctl+0xa3/0x180 [i915]
[50296.972099]  [<ffffffffa0015483>] drm_ioctl+0x4d3/0x580 [drm]
[50296.972108]  [<ffffffffa00803a0>] ? i915_gem_unpin_ioctl+0xf0/0xf0 [i915]
[50296.972111]  [<ffffffff812c5434>] ? timerqueue_del+0x34/0x90
[50296.972114]  [<ffffffff8118ea89>] do_vfs_ioctl+0x99/0x580
[50296.972116]  [<ffffffff8105c186>] ? do_setitimer+0xd6/0x230
[50296.972119]  [<ffffffff8118f009>] sys_ioctl+0x99/0xa0
[50296.972122]  [<ffffffff815f88e9>] system_call_fastpath+0x16/0x1b
[50296.972124] ---[ end trace 16164cfc78228e99 ]---
[50303.626727] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung


Version-Release number of selected component (if applicable):
=LATEST=

How reproducible:
Happens randomly.

Steps to Reproduce:
Happens randomly.
  
Actual results:
Hangs.

Expected results:
No hangs.
Comment 1 Rui Matos 2012-06-25 18:47:56 EDT
Created attachment 594305 [details]
dmesg

I've been seeing the same exact trace now and then. It makes gnome-shell terminate with following message:

intel_do_flush_locked failed: Input/output error

And the DDX drivers says:

[ 51329.223] (EE) intel(0): Detected a hung GPU, disabling acceleration.
Comment 2 Rui Matos 2012-06-25 18:48:50 EDT
Created attachment 594306 [details]
i915_error_state
Comment 3 John Brier 2012-06-29 17:30:37 EDT
I just hit this too. gnome-shell was still in ps output but i had no window manager ( no borders/windows on X apps). restarted X with CTRL ALT backspace and logged back in and my acceleration seems broken now..

Jun 29 17:12:58 jb-t520 kernel: [ 8796.098192] ------------[ cut here ]------------
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098238] WARNING: at drivers/gpu/drm/i915/i915_drv.c:440 __gen6_gt_wait_for_fifo+0x89/0x90 [i915]()
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098243] Hardware name: 4243B37
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098246] Modules linked in: vfat fat usb_storage fuse lockd sunrpc rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf
_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xts gf128mul dm_crypt snd_hda_codec_hdmi snd_hda_codec
_conexant coretemp arc4 microcode uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core btusb iwlwifi mac80211 snd_hda_intel snd_hda_codec bluet
ooth snd_hwdep thinkpad_acpi e1000e cfg80211 snd_pcm snd_page_alloc snd_timer iTCO_wdt videodev i2c_i801 media iTCO_vendor_support snd rfkill soundco
re uinput crc32c_intel ghash_clmulni_intel firewire_ohci sdhci_pci sdhci firewire_core mmc_core crc_itu_t wmi i915 video i2c_algo_bit drm_kms_helper 
drm i2c_core [last unloaded: scsi_wait_scan]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098346] Pid: 4764, comm: Xorg Not tainted 3.4.3-1.fc17.x86_64 #1
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098351] Call Trace:
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098367]  [<ffffffff8105681f>] warn_slowpath_common+0x7f/0xc0
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098376]  [<ffffffff8105687a>] warn_slowpath_null+0x1a/0x20
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098396]  [<ffffffffa006b939>] __gen6_gt_wait_for_fifo+0x89/0x90 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098417]  [<ffffffffa006bfb9>] i915_write32+0xb9/0xd0 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098451]  [<ffffffffa00a9441>] ring_write_tail+0x21/0x30 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098480]  [<ffffffffa00ab849>] gen6_render_ring_flush+0xe9/0x250 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098504]  [<ffffffffa007cf45>] i915_gem_flush_ring+0x65/0x1c0 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098514]  [<ffffffff81168f0c>] ? kfree+0x2c/0x120
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098537]  [<ffffffffa00834f8>] i915_gem_do_execbuffer.isra.8+0xaf8/0x1650 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098561]  [<ffffffffa0084581>] i915_gem_execbuffer2+0xb1/0x290 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098584]  [<ffffffffa0015483>] drm_ioctl+0x4d3/0x580 [drm]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098607]  [<ffffffffa00844d0>] ? i915_gem_execbuffer+0x480/0x480 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098618]  [<ffffffff8118eaa9>] do_vfs_ioctl+0x99/0x580
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098626]  [<ffffffff8118f029>] sys_ioctl+0x99/0xa0
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098635]  [<ffffffff815f8c07>] ? int_check_syscall_exit_work+0x34/0x3d
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098642]  [<ffffffff815f8969>] system_call_fastpath+0x16/0x1b
Jun 29 17:12:58 jb-t520 kernel: [ 8796.098648] ---[ end trace 17544f345a19eeb7 ]---
Jun 29 17:12:58 jb-t520 kernel: [ 8796.104885] ------------[ cut here ]------------
Jun 29 17:12:58 jb-t520 kernel: [ 8796.104910] WARNING: at drivers/gpu/drm/i915/i915_drv.c:440 __gen6_gt_wait_for_fifo+0x89/0x90 [i915]()
Jun 29 17:12:58 jb-t520 kernel: [ 8796.104915] Hardware name: 4243B37
Jun 29 17:12:58 jb-t520 kernel: [ 8796.104917] Modules linked in: vfat fat usb_storage fuse lockd sunrpc rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xts gf128mul dm_crypt snd_hda_codec_hdmi snd_hda_codec_conexant coretemp arc4 microcode uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core btusb iwlwifi mac80211 snd_hda_intel snd_hda_codec bluetooth snd_hwdep thinkpad_acpi e1000e cfg80211 snd_pcm snd_page_alloc snd_timer iTCO_wdt videodev i2c_i801 media iTCO_vendor_support snd rfkill soundcore uinput crc32c_intel ghash_clmulni_intel firewire_ohci sdhci_pci sdhci firewire_core mmc_core crc_itu_t wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105005] Pid: 4764, comm: Xorg Tainted: G        W    3.4.3-1.fc17.x86_64 #1
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105009] Call Trace:
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105018]  [<ffffffff8105681f>] warn_slowpath_common+0x7f/0xc0
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105026]  [<ffffffff8105687a>] warn_slowpath_null+0x1a/0x20
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105045]  [<ffffffffa006b939>] __gen6_gt_wait_for_fifo+0x89/0x90 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105065]  [<ffffffffa006bfb9>] i915_write32+0xb9/0xd0 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105094]  [<ffffffffa00a987c>] gen6_ring_get_irq+0x9c/0xb0 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105119]  [<ffffffffa00a98a8>] blt_ring_get_irq+0x18/0x20 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105141]  [<ffffffffa007cb5f>] i915_wait_request+0x13f/0x480 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105163]  [<ffffffffa007cf45>] ? i915_gem_flush_ring+0x65/0x1c0 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105184]  [<ffffffffa007ced7>] i915_gem_object_wait_rendering+0x37/0x40 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105206]  [<ffffffffa00833a0>] i915_gem_do_execbuffer.isra.8+0x9a0/0x1650 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105229]  [<ffffffffa0084581>] i915_gem_execbuffer2+0xb1/0x290 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105249]  [<ffffffffa0015483>] drm_ioctl+0x4d3/0x580 [drm]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105271]  [<ffffffffa00844d0>] ? i915_gem_execbuffer+0x480/0x480 [i915]
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105281]  [<ffffffff8118eaa9>] do_vfs_ioctl+0x99/0x580
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105289]  [<ffffffff8118f029>] sys_ioctl+0x99/0xa0
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105296]  [<ffffffff815f8c07>] ? int_check_syscall_exit_work+0x34/0x3d
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105304]  [<ffffffff815f8969>] system_call_fastpath+0x16/0x1b
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105309] ---[ end trace 17544f345a19eeb8 ]---
Jun 29 17:12:58 jb-t520 kernel: [ 8796.105312] ------------[ cut here ]------------

I don't see the intel message that Rui saw in comment 1 but I do see this:

sudo grep hung /var/log/messages 
Jun 29 17:13:03 jb-t520 kernel: [ 8801.041548] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung


There are a lot of similar bugs posted in New state from abrt, not sure if they are related: 

https://bugzilla.redhat.com/buglist.cgi?list_id=231888&classification=Fedora&query_format=advanced&token=1341004672-002d47f180aba4446228773a2971e6e4&bug_status=NEW&bug_status=ASSIGNED&bug_status=MODIFIED&bug_status=ON_DEV&bug_status=ON_QA&bug_status=VERIFIED&bug_status=RELEASE_PENDING&bug_status=POST&longdesc=WARNING%3A%20at%20drivers%2Fgpu%2Fdrm%2Fi915%2Fi915_drv.c%20warn_slowpath&longdesc_type=allwordssubstr
Comment 4 Adam Williamson 2013-05-14 16:06:57 EDT
Re-assigning to correct component. Are you folks still seeing this issue with the latest updates? Can you provide all the info listed at https://fedoraproject.org/wiki/How_to_debug_Xorg_problems ? Thanks.
Comment 5 John Brier 2013-05-14 16:17:02 EDT
(In reply to comment #4)
> Re-assigning to correct component. Are you folks still seeing this issue
> with the latest updates? Can you provide all the info listed at
> https://fedoraproject.org/wiki/How_to_debug_Xorg_problems ? Thanks.

I actually have seen it in the past month or two, but I don't have any logs from that any more, so not at least since 20130422 which is the last messages file i have.
Comment 6 John Brier 2013-06-11 11:19:48 EDT
I just had a hang problem but I wasn't on the latest bits available.. 

I do *not* see the kernel call trace as seen in comment 0.. but I do see this:
[ 1210.147725] [drm:i915_hangcheck_hung] *ERROR* Hangcheck timer elapsed... GPU hung
[ 1210.147737] [drm] capturing error event; look for more information in/sys/kernel/debug/dri/0/i915_error_state
[ 3027.625970] [drm:i915_hangcheck_hung] *ERROR* Hangcheck timer elapsed... GPU hung

incidentally, the system recovered at some point after I switched to my virtual console to debug and back to X, it worked all the sudden. I've seen that behavior before too.

since it doesn't have the call trace in the kernel log this may be a different bug, but I'll let you decide.

I do not have an xorg.conf

I wasn't running with 'drm.debug=14 log_buf_len=16M'

I have my laptop in a dock and the dock has DVI out which I have a DVI ->HDMI adapter. The Monitor is an HP w2408h

[root@jb-t520 ~]$ tar -cjvf graphics-hang-2013-06-11.tar.bz2 graphics-hang-2013-06-11/
graphics-hang-2013-06-11/
graphics-hang-2013-06-11/messages
graphics-hang-2013-06-11/Xorg.1.log.old
graphics-hang-2013-06-11/dmesg
graphics-hang-2013-06-11/Xorg.1.log
graphics-hang-2013-06-11/Xorg.0.log
graphics-hang-2013-06-11/lspci_-nn
graphics-hang-2013-06-11/rpm_-qa
graphics-hang-2013-06-11/Xorg.9.log
graphics-hang-2013-06-11/i915_error_state
graphics-hang-2013-06-11/Xorg.0.log.old
Comment 7 John Brier 2013-06-11 11:26:17 EDT
Created attachment 759700 [details]
graphics-hang-2013-06-11.tar.bz2
Comment 8 Fedora End Of Life 2013-07-03 15:23:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 13:46:28 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.